cURL
curl --request PUT "https://rxresu.me/api/openapi/application-profile" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"data": {},
"expectedRevision": "<string>"
}'import requests
url = "https://rxresu.me/api/openapi/application-profile"
payload = {
"data": {
"givenName": "",
"familyName": "",
"email": "",
"phone": "",
"links": [],
"address": {
"line1": "",
"line2": "",
"city": "",
"region": "",
"postalCode": "",
"countryCode": None
},
"workAuthorization": [],
"willingToRelocate": "unknown",
"requestedSalary": {
"amount": 4503599627370495.5,
"currency": "<string>"
},
"references": []
},
"expectedRevision": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
givenName: '',
familyName: '',
email: '',
phone: '',
links: [],
address: {line1: '', line2: '', city: '', region: '', postalCode: '', countryCode: null},
workAuthorization: [],
willingToRelocate: 'unknown',
requestedSalary: {amount: 4503599627370495.5, currency: '<string>'},
references: []
},
expectedRevision: '<string>'
})
};
fetch('https://rxresu.me/api/openapi/application-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/application-profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'givenName' => '',
'familyName' => '',
'email' => '',
'phone' => '',
'links' => [
],
'address' => [
'line1' => '',
'line2' => '',
'city' => '',
'region' => '',
'postalCode' => '',
'countryCode' => null
],
'workAuthorization' => [
],
'willingToRelocate' => 'unknown',
'requestedSalary' => [
'amount' => 4503599627370495.5,
'currency' => '<string>'
],
'references' => [
]
],
'expectedRevision' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/application-profile"
payload := strings.NewReader("{\n \"data\": {\n \"givenName\": \"\",\n \"familyName\": \"\",\n \"email\": \"\",\n \"phone\": \"\",\n \"links\": [],\n \"address\": {\n \"line1\": \"\",\n \"line2\": \"\",\n \"city\": \"\",\n \"region\": \"\",\n \"postalCode\": \"\",\n \"countryCode\": null\n },\n \"workAuthorization\": [],\n \"willingToRelocate\": \"unknown\",\n \"requestedSalary\": {\n \"amount\": 4503599627370495.5,\n \"currency\": \"<string>\"\n },\n \"references\": []\n },\n \"expectedRevision\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://rxresu.me/api/openapi/application-profile")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"givenName\": \"\",\n \"familyName\": \"\",\n \"email\": \"\",\n \"phone\": \"\",\n \"links\": [],\n \"address\": {\n \"line1\": \"\",\n \"line2\": \"\",\n \"city\": \"\",\n \"region\": \"\",\n \"postalCode\": \"\",\n \"countryCode\": null\n },\n \"workAuthorization\": [],\n \"willingToRelocate\": \"unknown\",\n \"requestedSalary\": {\n \"amount\": 4503599627370495.5,\n \"currency\": \"<string>\"\n },\n \"references\": []\n },\n \"expectedRevision\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/application-profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"givenName\": \"\",\n \"familyName\": \"\",\n \"email\": \"\",\n \"phone\": \"\",\n \"links\": [],\n \"address\": {\n \"line1\": \"\",\n \"line2\": \"\",\n \"city\": \"\",\n \"region\": \"\",\n \"postalCode\": \"\",\n \"countryCode\": null\n },\n \"workAuthorization\": [],\n \"willingToRelocate\": \"unknown\",\n \"requestedSalary\": {\n \"amount\": 4503599627370495.5,\n \"currency\": \"<string>\"\n },\n \"references\": []\n },\n \"expectedRevision\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"givenName": "",
"familyName": "",
"email": "",
"phone": "",
"links": [],
"address": {
"line1": "",
"line2": "",
"city": "",
"region": "",
"postalCode": "",
"countryCode": null
},
"workAuthorization": [],
"willingToRelocate": "unknown",
"requestedSalary": {
"amount": 4503599627370495.5,
"currency": "<string>",
"period": "hour"
},
"references": []
},
"reviewedAt": "2023-11-07T05:31:56Z",
"revision": "<string>"
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Application Profile
Save your application profile
PUT
/
application-profile
cURL
curl --request PUT "https://rxresu.me/api/openapi/application-profile" --header "x-api-key: <api-key>" --header "Content-Type: application/json" --data '{
"data": {},
"expectedRevision": "<string>"
}'import requests
url = "https://rxresu.me/api/openapi/application-profile"
payload = {
"data": {
"givenName": "",
"familyName": "",
"email": "",
"phone": "",
"links": [],
"address": {
"line1": "",
"line2": "",
"city": "",
"region": "",
"postalCode": "",
"countryCode": None
},
"workAuthorization": [],
"willingToRelocate": "unknown",
"requestedSalary": {
"amount": 4503599627370495.5,
"currency": "<string>"
},
"references": []
},
"expectedRevision": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
givenName: '',
familyName: '',
email: '',
phone: '',
links: [],
address: {line1: '', line2: '', city: '', region: '', postalCode: '', countryCode: null},
workAuthorization: [],
willingToRelocate: 'unknown',
requestedSalary: {amount: 4503599627370495.5, currency: '<string>'},
references: []
},
expectedRevision: '<string>'
})
};
fetch('https://rxresu.me/api/openapi/application-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/application-profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'givenName' => '',
'familyName' => '',
'email' => '',
'phone' => '',
'links' => [
],
'address' => [
'line1' => '',
'line2' => '',
'city' => '',
'region' => '',
'postalCode' => '',
'countryCode' => null
],
'workAuthorization' => [
],
'willingToRelocate' => 'unknown',
'requestedSalary' => [
'amount' => 4503599627370495.5,
'currency' => '<string>'
],
'references' => [
]
],
'expectedRevision' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/application-profile"
payload := strings.NewReader("{\n \"data\": {\n \"givenName\": \"\",\n \"familyName\": \"\",\n \"email\": \"\",\n \"phone\": \"\",\n \"links\": [],\n \"address\": {\n \"line1\": \"\",\n \"line2\": \"\",\n \"city\": \"\",\n \"region\": \"\",\n \"postalCode\": \"\",\n \"countryCode\": null\n },\n \"workAuthorization\": [],\n \"willingToRelocate\": \"unknown\",\n \"requestedSalary\": {\n \"amount\": 4503599627370495.5,\n \"currency\": \"<string>\"\n },\n \"references\": []\n },\n \"expectedRevision\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://rxresu.me/api/openapi/application-profile")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"givenName\": \"\",\n \"familyName\": \"\",\n \"email\": \"\",\n \"phone\": \"\",\n \"links\": [],\n \"address\": {\n \"line1\": \"\",\n \"line2\": \"\",\n \"city\": \"\",\n \"region\": \"\",\n \"postalCode\": \"\",\n \"countryCode\": null\n },\n \"workAuthorization\": [],\n \"willingToRelocate\": \"unknown\",\n \"requestedSalary\": {\n \"amount\": 4503599627370495.5,\n \"currency\": \"<string>\"\n },\n \"references\": []\n },\n \"expectedRevision\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/application-profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"givenName\": \"\",\n \"familyName\": \"\",\n \"email\": \"\",\n \"phone\": \"\",\n \"links\": [],\n \"address\": {\n \"line1\": \"\",\n \"line2\": \"\",\n \"city\": \"\",\n \"region\": \"\",\n \"postalCode\": \"\",\n \"countryCode\": null\n },\n \"workAuthorization\": [],\n \"willingToRelocate\": \"unknown\",\n \"requestedSalary\": {\n \"amount\": 4503599627370495.5,\n \"currency\": \"<string>\"\n },\n \"references\": []\n },\n \"expectedRevision\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"givenName": "",
"familyName": "",
"email": "",
"phone": "",
"links": [],
"address": {
"line1": "",
"line2": "",
"city": "",
"region": "",
"postalCode": "",
"countryCode": null
},
"workAuthorization": [],
"willingToRelocate": "unknown",
"requestedSalary": {
"amount": 4503599627370495.5,
"currency": "<string>",
"period": "hour"
},
"references": []
},
"reviewedAt": "2023-11-07T05:31:56Z",
"revision": "<string>"
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Authorizations
apiKeybearerAuthcookieAuth
The API key to authenticate requests.
Body
application/json